Page 1 of 1

weston fails on upgraded OS

Posted: Wed Jun 05, 2013 5:10 pm
by mihol
Hi,
I've tried to upgrade an existing Raspbian OS to version 20130525 according to the comments in the original announcement and seem to have succeeded as it shows:
OS: Linux, 3.6.11+, #456 PREEMPT Mon May 20 17:42:15 BST 2013, armv6l

Then I added weston according to instruction in comment http://www.raspberrypi.org/archives/4128#comment-79401
and http://raspberrypi.collabora.com/
but when I try to start it a fatal error is thrown

root@raspberrypi:/home/pi# weston-launch
Date: 2013-06-05 CEST
[18:41:04.569] weston 1.1.0
http://wayland.freedesktop.org/
Bug reports to: https://bugs.freedesktop.org/enter_bug. ... sion=1.1.0
Build: 1.0.0-448-gcd9b379-dirty Bump version (2013-06-03 14:53:21 +0100)
[18:41:04.574] OS: Linux, 3.6.11+, #456 PREEMPT Mon May 20 17:42:15 BST 2013, armv6l
[18:41:04.578] Loading module '/usr/lib/weston/x11-backend.so'
[18:41:04.698] initializing x11 backend
[18:41:04.732] fatal: failed to create compositor

I also got below error during preceeding step 'sudo apt-get -y update'
W: GPG error: http://raspberrypi.collabora.com wheezy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY ED4BF9140C50B1C5
but 'sudo apt-get install weston' claims the version is up-to-date.
Reading package lists... Done
Building dependency tree
Reading state information... Done
weston is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Could this be the root cause?
How would I overcome it?

Thanks
Mike

Re: weston fails on upgraded OS

Posted: Fri Jun 07, 2013 5:03 pm
by mihol
after seeing comments asb made at http://www.raspberrypi.org/archives/4128#comment-81689
I've first tried to 'update' the package but apt-get insisted on '0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.'
Then did remove and install weston again but error remains the same (only difference is firmware version).

weston-launch
Date: 2013-06-07 CEST
[18:46:03.099] weston 1.1.0
http://wayland.freedesktop.org/
Bug reports to: https://bugs.freedesktop.org/enter_bug. ... sion=1.1.0
Build: 1.0.0-448-gcd9b379-dirty Bump version (2013-06-03 14:53:21 +0100)
[18:46:03.104] OS: Linux, 3.6.11+, #462 PREEMPT Mon Jun 3 22:15:00 BST 2013, armv6l
[18:46:03.108] Loading module '/usr/lib/weston/x11-backend.so'
[18:46:03.216] initializing x11 backend
[18:46:03.295] fatal: failed to create compositor


next I downloaded the deb package from http://raspberrypi.collabora.com/pool/r ... _armhf.deb and tried to install but got error:
sudo dpkg -i /home/pi/Downloads/weston/weston_1.1.0-0rpi2013060501_armhf.deb
dpkg-deb: error: `/home/pi/Downloads/weston/weston_1.1.0-0rpi2013060501_armhf.deb' is not a debian format archive



I'd be greatful for any hints on how to overcome this issue
Thanks
Mike

Re: weston fails on upgraded OS

Posted: Thu Jun 13, 2013 8:30 pm
by HashberryPee
Got the very same issue.
Don't know what went south.